Installing MythTV on Debian Lenny

From MythTV Official Wiki
Revision as of 17:15, 20 April 2009 by Genseng (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Debian GNU/Linux 5.0 (codenamed "Lenny") was released on February 14th, 2009.


Debian GNU/Linux 5.0 (Lenny) Base System Installation

More to come. It should be possible to follow the Debian Etch installation wiki to install on a new system.

IvTV

I (Gokee2) have been working on getting mythtv working on Lenny. The main problem I have run into is with IvTV. IvTV is now part of the Debian kernel. This means all you need to do is install firmware. However putting stuff in "/lib/firmware" did not work for me. I found if I stuck the firmware in "/usr/lib/hotplug/firmware" (And modprobe`d in and out the ivtv module and everything that was using it not sure what modules if any you really need to modprobe) then everything started working. I found IvTV Firmware page to be handy.

Other then that Lenny for the most part just works. I told it to install mythtv-backend and it went ahead and setup a mysql database for me with a random password!

Upgrading from Debian GNU/Linux 4.0 (Etch)

This is the preferred installation method if starting with an Etch based system. Following this path assumes:

  • You have a system with a working Etch installation.
  • You have a working MythTV installation installed from the debian-multimedia.org repositories.

Here are the recommended steps to upgrade. There may be additional steps but these will do the basics (such as making a local mirror for packages if you are upgrading more than one machine on your network). This is a summary of a post that originally appears on debian.net. Please see the original posting for additional information.

Backup Your Files

You know you should have backups. The wiki has a handy entry with scripts for backing up your database. I highly recommend you backup your database as a minimum.

Update to the Current Version of Etch

Make sure you have the most recent updates for Etch. The following steps should be run as root (or preceded with "sudo") until stated otherwise.

# aptitude update
# aptitude dist-upgrade

Modify sources.list

Modify your sources file for Lenny packages. We will make a backup first.

# cp /etc/apt/sources.list /etc/apt/sources.list.backup

A full list of mirrors is available at debian.org.

A full list of debian-multimedia mirrors is available at debian-multimedia.org.

It is recommended that you choose a mirror for each that is close to your locale to speed up the installation process. If you are already using nearby mirrors then it should be as simple as opening /etc/apt/sources.list in your favourite editor and replacing occurrences of etch with lenny.

Upgrade the System

You should now move to a console login (ctrl+alt+F1 should give you a login prompt for tty1). You should not try to upgrade the system from within an X session as you may get kicked out as services restart. You should also be OK to complete the update from an ssh login. If you leave your system and find a graphical login gdm has probably restarted. Just return to tty1 (ctrl+alt+F1). Update your package lists.

# aptitude update

Upgrade the package management system.

# aptitude install dpkg aptitude apt

Upgrade the system.

# aptitude safe-upgrade
# aptitude full-upgrade

The 'safe-upgrade' step will only install components that can be installed without removing other packages.

Reboot

Now everything should have gone well. You may want to re-run 'full-upgrade' to verify that you have no unresolved dependencies or apt-get -f install to force a resolution of unresolved dependencies. Hopefully you don't need to do that and you can reboot.

# shutdown -hr now

And now your system should restart using all your previous settings and MythTV should be running smoothly.

Report problems on the discussion page.

Other Steps

As the kernel has been replaced some modules will need to be reconfigured.

  • Recompile videocard if you are using the NVidia or ATI binary drivers.
  • Recompile LIRC modules.